<!--
  @description:审核供应商/风险控制部提交异议
  @Modifier: haofengxian
  @routerPath:/objection/auditObjectionContent
  @date: 2020-5-11-13:18
-->
<template>
  <div>
    <div class="title p0-16 clearfix">
      <!-- 返回 -->
      <div class="title-back pointer" @click="back">
        <i class="iconfont icon-fanhui mr10" />
        异议审核
      </div>
    </div>
    <objection-application-Letter-detail />
    <!--操作按鈕 auditStatus 00待审核-->
    <div v-if="$route.params.auditStatus === '00'" class="but_footer">
      <div class="p0-16">
        <div class="page-title">
          审核意见
        </div>
        <el-form ref="auditInfoParam" :model="auditInfoParam">
          <el-form-item ref="auditReason" prop="auditReason">
            <el-input
              v-model="auditInfoParam.auditReason"
              :rows="4"
              type="textarea"
              placeholder="请填写审核意见"
              maxlength="200"
              show-word-limit
            />
          </el-form-item>
        </el-form>
      </div>
      <div class="but_footer-h">
        <div class="but_footer-but">
          <el-button type="primary" @click="verified()">
            审核通过
          </el-button>
          <el-button @click="auditFail()">
            审核不通过
          </el-button>
          <el-button @click="back()">
            返 回
          </el-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { auditObjection } from '@api/bidding/tenderObjection'
/* 组件*/
import objectionApplicationLetterDetail from '../viewObjection/objectionApplicationLetter-detail'

export default {
  name: 'AuditObjectionContent',
  components: {
    'objection-application-Letter-detail': objectionApplicationLetterDetail // 异议详情
  },
  data() {
    return {
      receiptStatus: this.$route.params.receiptStatus, // 接受状态 01:受理 02:不受理
      // 审核信息参数
      auditInfoParam: {
        auditStatus: '', // 01-审核通过 ||02-审核不通过
        auditReason: '', // 审核意见
        objectionId: this.$route.params.objectionId // 异议id
      }
    }
  },
  methods: {
    // 返回
    back() {
      this.$router.push({
        path: '/projectManagement/auditObjectionList'
      })
    },
    // 操作审核通过不通过调用接口
    handleAuditObjection(auditStatus) {
      this.auditInfoParam.auditStatus = auditStatus
      auditObjection(this.auditInfoParam).then(() => {
        this.$message({
          type: 'success',
          message: '审核成功'
        })
        this.back()
      }).catch(() => {

      })
    },
    // 审核通过
    verified() {
      this.$confirm('确认提交?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        confirmButtonClass: 'confirmBtn',
        cancelButtonClass: 'cancelBtn',
        type: 'warning'
      }).then(() => {
        this.handleAuditObjection('01')
      }).catch(() => {
      })
    },
    // 审核不通过
    auditFail() {
      if (this.auditInfoParam.auditReason) {
        this.$confirm('确认提交?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          confirmButtonClass: 'confirmBtn',
          cancelButtonClass: 'cancelBtn',
          type: 'warning'
        }).then(() => {
          this.handleAuditObjection('02')
        }).catch(() => {
        })
      } else {
        this.$message({
          type: 'warning',
          message: '请输入审核意见'
        })
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
